Update MCP server
Update an MCP server definition
PUT
/
ai
/
missions
/
{mission_id}
/
mcp-servers
/
{mcp_server_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.missions.mcpServers.updateMcpServer('mcp_server_id', {
mission_id: 'mission_id',
});
console.log(response);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.missions.mcp_servers.update_mcp_server(
mcp_server_id="mcp_server_id",
mission_id="mission_id",
)
print(response)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Missions.McpServers.UpdateMcpServer(
context.TODO(),
"mcp_server_id",
telnyx.AIMissionMcpServerUpdateMcpServerParams{
MissionID: "mission_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.missions.mcpservers.McpServerUpdateMcpServerParams;
import com.telnyx.sdk.models.ai.missions.mcpservers.McpServerUpdateMcpServerResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
McpServerUpdateMcpServerParams params = McpServerUpdateMcpServerParams.builder()
.missionId("mission_id")
.mcpServerId("mcp_server_id")
.build();
McpServerUpdateMcpServerResponse response = client.ai().missions().mcpServers().updateMcpServer(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.missions.mcp_servers.update_mcp_server("mcp_server_id", mission_id: "mission_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->missions->mcpServers->updateMcpServer(
'mcp_server_id', missionID: 'mission_id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:missions:mcp-servers update-mcp-server \
--api-key 'My API Key' \
--mission-id mission_id \
--mcp-server-id mcp_server_idcurl --request PUT \
--url https://api.telnyx.com/v2/ai/missions/{mission_id}/mcp-servers/{mcp_server_id} \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the mission.
Unique identifier of the mcp server.
Response
Successful Response
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.ai.missions.mcpServers.updateMcpServer('mcp_server_id', {
mission_id: 'mission_id',
});
console.log(response);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.ai.missions.mcp_servers.update_mcp_server(
mcp_server_id="mcp_server_id",
mission_id="mission_id",
)
print(response)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.AI.Missions.McpServers.UpdateMcpServer(
context.TODO(),
"mcp_server_id",
telnyx.AIMissionMcpServerUpdateMcpServerParams{
MissionID: "mission_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.missions.mcpservers.McpServerUpdateMcpServerParams;
import com.telnyx.sdk.models.ai.missions.mcpservers.McpServerUpdateMcpServerResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
McpServerUpdateMcpServerParams params = McpServerUpdateMcpServerParams.builder()
.missionId("mission_id")
.mcpServerId("mcp_server_id")
.build();
McpServerUpdateMcpServerResponse response = client.ai().missions().mcpServers().updateMcpServer(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.ai.missions.mcp_servers.update_mcp_server("mcp_server_id", mission_id: "mission_id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->ai->missions->mcpServers->updateMcpServer(
'mcp_server_id', missionID: 'mission_id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:missions:mcp-servers update-mcp-server \
--api-key 'My API Key' \
--mission-id mission_id \
--mcp-server-id mcp_server_idcurl --request PUT \
--url https://api.telnyx.com/v2/ai/missions/{mission_id}/mcp-servers/{mcp_server_id} \
--header 'Authorization: Bearer <token>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}